import { jsx } from "react/jsx-runtime";
import { GridNine as GridNine$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const GridNine = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "GridNine", ...props, children: /* @__PURE__ */ jsx(GridNine$1, { weight: variant }) });
  }
);
GridNine.displayName = "GridNine";
Object.assign(GridNine, { isGdsIcon: true });
export {
  GridNine
};
